#Lectura base de datos
setwd("/home/nico/Documentos/PyE/meteo/")
datos <- read.table (file="Estacion La Punta_ingles_corregido fecha.csv", header=TRUE, sep=';', quote='\"', dec='.', fill=TRUE, comment.char="",  na.strings = "NA", nrows = -1, skip = 0, check.names = TRUE, strip.white = FALSE, blank.lines.skip = TRUE)

#ordenamiento por fecha
datos <- datos[order (datos[["Fecha.Hora"]]),]


#Tratamiento de columnas
datos$Fecha.Hora <- as.POSIXct(datos$Fecha.Hora, format="%d/%m/%Y %H:%M:%S")
datos$Hora<- format(as.POSIXct(strptime(datos$Fecha.Hora,"%d/%m/%Y %H:%M:%S",tz="")) ,format = "%H")
datos$Mes <-format(as.POSIXct(strptime(datos$Fecha.Hora,"%d/%m/%Y %H:%M:%S",tz="")) ,format ="%m")
datos$Anio <-format(as.POSIXct(strptime(datos$Fecha.Hora,"%d/%m/%Y %H:%M:%S",tz="")) ,format ="%Y")
datos$Dia <-format(as.POSIXct(strptime(datos$Fecha.Hora,"%d/%m/%Y %H:%M:%S",tz="")) ,format ="%d")

tstemperatura<-ts(datos$Temperatura.C,deltat=1/24)
tspresion<-ts(datos$Presion.hPa,deltat=1/24)
tsvelviento<-ts(datos$IntdelViento.m.s,deltat=1/24)

plot(as.ts(tstemperatura))
plot(as.ts(tspresion))
plot(as.ts(tsvelviento))

#decomptemp<-decompose(tstemperatura,"additive")
#decomptemp<-stl(tstemperatura,"periodic")

plot(decomptemp)
